with GNATCOM.Dispinterface;

package MSHTML.ISVGClipPathElement_Interface is

   type ISVGClipPathElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGClipPathElement_Type);

   function Pointer (This : ISVGClipPathElement_Type)
     return Pointer_To_ISVGClipPathElement;

   procedure Attach (This    : in out ISVGClipPathElement_Type;
                     Pointer : in     Pointer_To_ISVGClipPathElement);

   procedure PutRef_clipPathUnits
     (This : ISVGClipPathElement_Type;
      p    : Pointer_To_ISVGAnimatedEnumeration);

   function Get_clipPathUnits
     (This : ISVGClipPathElement_Type)
     return Pointer_To_ISVGAnimatedEnumeration;

end MSHTML.ISVGClipPathElement_Interface;

